
import java.rmi.*;

// Cette classe definit le thread qui va etre 
// lance a chaque fois qu'un agent arrive
// sur un hote. threadAgent est donc le support
// systeme offert par un hote pour executer 
// un agent
//
class threadAgent extends Thread 
{
 

	// L'agent et le magasin sur lesquels
	// le thread va travailler	
	//
	private Agent monAgent;
	private Magasin monMagasin;


	public threadAgent (Agent a, Magasin m) 
	{
		monAgent=a;
		monMagasin=m;
	}
 

	public void run() 
	{
		try 
		{
			// On effectue le traitement demande par 
			// l'agent
			//	
			monAgent.traitement(monMagasin.NomIngredients, 
				monMagasin.PrixIngredients,
				monMagasin.NbIngredients); 

			// On questionne l'agent pour savoir quel est
			// l'hote a visiter maintenant
			//
			String leSuivant = **** ;

			// On fait migrer l'agent vers l'hote suivant
			//
			System.out.println("L'agent migre vers " + leSuivant);
			****
			


		} 
		catch (Exception e) 
		{
			System.err.println("migre exception: " + e.getMessage());
			e.printStackTrace();
		}

	}

}
